#ifndef _PX_HH_
#define _PX_HH_

#include <cfenv>
#include <functional>

// in dependency order
#include "px/record.hh"
#include "px/simd.hh"
#include "px/linalg.hh"
#include "px/qlinear.hh"
#include "px/record_simd.hh"
#include "px/linalg_simd.hh"
#include "px/qlinear_simd.hh"
#include "px/buffer.hh"
#include "px/worker.hh"
#include "px/rasterizer.hh"

// initialization
inline void px_init() { fesetround(FE_DOWNWARD); }

#endif // _PX_HH_
